Subject: bug#70784: Abolish string resizing

From: Stefan Monnier <[email-masked]>
Date: Sun, 05 May 2024 17:14:50 -0400

> Thanks, I hadn't seen your work. My approach (attached) is more an instance
> of outsider art: I didn't know how these things are normally done and just
> made it up as I went.

Mine was also "invent it as I go along", ...

> The backtrace is included in the message here because it's kind of essential
> for diagnosing the warning correctly, and it uses the very compact form
> repurposed from the profiler for brevity and because we probably don't need
> more to establish the source of the problem.

Very nice.  For track-changes, the backtraces aren't as important,
because we often detect the problem only after the fact so the backtrace
may be unrelated (which is why I also record the recent keys).

        Stefan